Package Details: zathura-git 0.3.8.135.ga647b92-1

Git Clone URL: https://aur.archlinux.org/zathura-git.git (read-only)
Package Base: zathura-git
Description: a document viewer
Upstream URL: http://pwmt.org/projects/zathura
Licenses: custom
Conflicts: zathura
Provides: zathura
Submitter: None
Maintainer: mlq
Last Packager: mlq
Votes: 89
Popularity: 0.153302
First Submitted: 2009-09-19 13:00
Last Updated: 2018-03-14 16:51

Dependencies (11)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

archman commented on 2012-04-25 08:40

mlq:

http://pastebin.com/nk5Ggw01

florianbw commented on 2012-04-24 15:08

Can you add a

provides="zathura"

so it does not exit w/ the following error:

:: zathura-git and zathura are in conflict. Remove zathura? [y/N] Y
error: failed to prepare transaction (could not satisfy dependencies)
:: zathura-djvu: requires zathura
:: zathura-pdf-poppler: requires zathura
:: zathura-ps: requires zathura?

Thanks!

florianbw commented on 2012-04-24 15:08

Can you add a

provides="zathura"

so it does not exit w/ the following error:

:: zathura-git and zathura are in conflict. Remove zathura? [y/N] Y
error: failed to prepare transaction (could not satisfy dependencies)
:: zathura-djvu: requires zathura
:: zathura-pdf-poppler: requires zathura
:: zathura-ps: requires zathura?

Thanks!

florianbw commented on 2012-04-24 15:07

Can you add a

provides="zathura"

so it does not exit w/ the following error:

:: zathura-git and zathura are in conflict. Remove zathura? [y/N] Y
error: failed to prepare transaction (could not satisfy dependencies)
:: zathura-djvu: requires zathura
:: zathura-pdf-poppler: requires zathura
:: zathura-ps: requires zathura?

Thanks!

mlq commented on 2012-04-23 11:37

Since your email does not work: Can you create a gdb backtrace?

archman commented on 2012-04-23 09:10

Segfaults when searching through the file:

Just 'Segmentation fault' is echoed.
Using the latest git release for both zathura and all the plugins/dependencies.
Size of pdf is 44.9 MiB.

mlq commented on 2012-03-19 14:10

Update girara-gtk2-git

archman commented on 2012-03-19 13:56

zathura.o: In function `document_close':
zathura.c:(.text+0x69e): undefined reference to `girara_set_window_title'
zathura.o: In function `document_open':
zathura.c:(.text+0x13d8): undefined reference to `girara_set_window_title'
collect2: ld returned 1 exit status
make: *** [zathura] Error 1

When trying to build zathura-git...

lava commented on 2012-03-18 05:38

Thanks for your answer. Everything works fine now.

Have to mention that for some reason a have to downgrade girara-packages:
4 aur/girara-common-git 20120308-1 [installed: 20120311-1] (15)
5 aur/girara-gtk2-git 20120306-1 [installed: 20120311-1] (34)
6 aur/girara-gtk3-git 20120306-1 (25)

As you can see, they "new" versions are marked as 20120308 against 20120311. But what have been installed:
Targets (1): girara-common-git-20120318-1
Targets (1): girara-gtk2-git-20120318-1

It seems to me like there is some kind of misfortune with packages descriptions in AUR. Also re-posting this to the girara.


PS The similar issue happens now to the zathura:
6 aur/zathura-git 20120317-1 [installed: 20120318-1] (118)
9 aur/zathura-ps-git 20120315-1 [installed: 20120317-1] (13)

Stebalien commented on 2012-03-17 06:21

@lava: Update girara-git and girara-common-git